import { AuthController } from "@/controllers/authController.js";
import { loginSchema, registerSchema, validate } from "@/middleware/validation.js";
import { Router } from "express";

const router = Router();

router.post("/register", validate(registerSchema), AuthController.register);
router.post("/login", validate(loginSchema), AuthController.login);

export { router as authRoutes };
